Skip to content

Refresh and persist chart suggestions for a deal

POST
/api/canvas/{deal_id}/charts/suggestions/refresh
curl --request POST \
--url https://example.com/api/canvas/example/charts/suggestions/refresh \
--header 'Authorization: Bearer <token>'

Regenerate chart suggestions from current deal data and persist to Store.

Useful after new financial data is uploaded (e.g. post-intake Excel) or when pipeline-time pre-compute was skipped (web-chat-originated deals).

deal_id
required
Deal Id
string

Successful Response

Media type application/json
ChartRefreshResponse

Response schema for chart suggestion refresh.

object
suggestions
required
Suggestions
Array<object>
object
key
additional properties
any
count
required
Count
integer
persisted
required
Persisted
boolean
Example generated
{
"suggestions": [
{}
],
"count": 1,
"persisted": true
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}